import Vue from 'vue'

const app = new Vue({
  el: '#app',
  data() {
    return {
      message: "Hello Vue",
      users: []
    }
  },
  created() {
    console.log("Hey I just got created. Happy birthday to me!")
    fetch('https://jsonplaceholder.typicode.com/users/')
      .then(response => response.json())
        .then(json => this.users = json)

  },
  methods: {
    printDirp(){
      console.log("Dirp")
    }
  }
})
